diff --git a/python/semanage/seobject.py b/python/semanage/seobject.py
index b8c43efe0101..efec0a553f43 100644
--- a/python/semanage/seobject.py
+++ b/python/semanage/seobject.py
@@ -747,7 +747,10 @@ class loginRecords(semanageRecords):
         l = []
         ddict = self.get_all(True)
         for k in sorted(ddict.keys()):
-            l.append("-a -s %s -r '%s' %s" % (ddict[k][0], ddict[k][1], k))
+            if ddict[k][1]:
+                l.append("-a -s %s -r '%s' %s" % (ddict[k][0], ddict[k][1], k))
+            else:
+                l.append("-a -s %s %s" % (ddict[k][0], k))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -1014,7 +1017,10 @@ class seluserRecords(semanageRecords):
         l = []
         ddict = self.get_all(True)
         for k in sorted(ddict.keys()):
-            l.append("-a -L %s -r %s -R '%s' %s" % (ddict[k][1], ddict[k][2], ddict[k][3], k))
+            if ddict[k][1] or ddict[k][2]:
+                l.append("-a -L %s -r %s -R '%s' %s" % (ddict[k][1], ddict[k][2], ddict[k][3], k))
+            else:
+                l.append("-a -R '%s' %s" % (ddict[k][3], k))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -1292,10 +1298,11 @@ class portRecords(semanageRecords):
         l = []
         ddict = self.get_all(True)
         for k in sorted(ddict.keys()):
-            if k[0] == k[1]:
-                l.append("-a -t %s -r '%s' -p %s %s" % (ddict[k][0], ddict[k][1], k[2], k[0]))
+            port = k[0] if k[0] == k[1] else "%s-%s" % (k[0], k[1])
+            if ddict[k][1]:
+                l.append("-a -t %s -r '%s' -p %s %s" % (ddict[k][0], ddict[k][1], k[2], port))
             else:
-                l.append("-a -t %s -r '%s' -p %s %s-%s" % (ddict[k][0], ddict[k][1], k[2], k[0], k[1]))
+                l.append("-a -t %s -p %s %s" % (ddict[k][0], k[2], port))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -1549,10 +1556,11 @@ class ibpkeyRecords(semanageRecords):
         ddict = self.get_all(True)
 
         for k in sorted(ddict.keys()):
-            if k[0] == k[1]:
-                l.append("-a -t %s -r '%s' -x %s %s" % (ddict[k][0], ddict[k][1], k[2], k[0]))
+            port = k[0] if k[0] == k[1] else "%s-%s" % (k[0], k[1])
+            if ddict[k][1]:
+                l.append("-a -t %s -r '%s' -x %s %s" % (ddict[k][0], ddict[k][1], k[2], port))
             else:
-                l.append("-a -t %s -r '%s' -x %s %s-%s" % (ddict[k][0], ddict[k][1], k[2], k[0], k[1]))
+                l.append("-a -t %s -x %s %s" % (ddict[k][0], k[2], port))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -1793,7 +1801,10 @@ class ibendportRecords(semanageRecords):
         ddict = self.get_all(True)
 
         for k in sorted(ddict.keys()):
-            l.append("-a -t %s -r '%s' -z %s %s" % (ddict[k][0], ddict[k][1], k[1], k[0]))
+            if ddict[k][1]:
+                l.append("-a -t %s -r '%s' -z %s %s" % (ddict[k][0], ddict[k][1], k[1], k[0]))
+            else:
+                l.append("-a -t %s -z %s %s" % (ddict[k][0], k[1], k[0]))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -2033,7 +2044,10 @@ class nodeRecords(semanageRecords):
         l = []
         ddict = self.get_all(True)
         for k in sorted(ddict.keys()):
-            l.append("-a -M %s -p %s -t %s -r '%s' %s" % (k[1], k[2], ddict[k][2], ddict[k][3], k[0]))
+            if ddict[k][3]:
+                l.append("-a -M %s -p %s -t %s -r '%s' %s" % (k[1], k[2], ddict[k][2], ddict[k][3], k[0]))
+            else:
+                l.append("-a -M %s -p %s -t %s %s" % (k[1], k[2], ddict[k][2], k[0]))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -2227,7 +2241,10 @@ class interfaceRecords(semanageRecords):
         l = []
         ddict = self.get_all(True)
         for k in sorted(ddict.keys()):
-            l.append("-a -t %s -r '%s' %s" % (ddict[k][2], ddict[k][3], k))
+            if ddict[k][3]:
+                l.append("-a -t %s -r '%s' %s" % (ddict[k][2], ddict[k][3], k))
+            else:
+                l.append("-a -t %s %s" % (ddict[k][2], k))
         return l
 
     def list(self, heading=1, locallist=0):
@@ -2609,7 +2626,10 @@ class fcontextRecords(semanageRecords):
         fcon_dict = self.get_all(True)
         for k in sorted(fcon_dict.keys()):
             if fcon_dict[k]:
-                l.append("-a -f %s -t %s -r '%s' '%s'" % (file_type_str_to_option[k[1]], fcon_dict[k][2], fcon_dict[k][3], k[0]))
+                if fcon_dict[k][3]:
+                    l.append("-a -f %s -t %s -r '%s' '%s'" % (file_type_str_to_option[k[1]], fcon_dict[k][2], fcon_dict[k][3], k[0]))
+                else:
+                    l.append("-a -f %s -t %s '%s'" % (file_type_str_to_option[k[1]], fcon_dict[k][2], k[0]))
 
         if len(self.equiv):
             for target in self.equiv.keys():